This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 435096 - yumdownloader not pulling in deps with --resolve option
yumdownloader not pulling in deps with --resolve option
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
7
i686 Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-27 06:07 EST by dex
Modified: 2008-03-12 20:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-12 15:27:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
full output (3.55 KB, text/plain)
2008-02-27 06:07 EST, dex
no flags Details

  None (edit)
Description dex 2008-02-27 06:07:24 EST
Description of problem:
In the course of dealing with bug #432751 I've been manually updating.
I expected yumdownloader to pull in the required dependencies when using the
--resolve option. 

Version-Release number of selected component (if applicable):
yum-utils-1.1.11-1.fc7

How reproducible:
always

Steps to Reproduce:
1. yumdownloader --resolve wine\*
2.
3.
  
Actual results:
This downloads:

wine-0.9.56-1.fc7.i386.rpm
wine-core-0.9.56-1.fc7.i386.rpm
wine-jack-0.9.56-1.fc7.i386.rpm
wine-capi-0.9.56-1.fc7.i386.rpm

But I have installed:

wine-tools-0.9.48-1.fc7
wine-nas-0.9.48-1.fc7
wine-esd-0.9.48-1.fc7
wine-ldap-0.9.48-1.fc7
wine-cms-0.9.48-1.fc7
wine-docs-0.9.48-1.fc7
wine-twain-0.9.48-1.fc7
wine-capi-0.9.48-1.fc7
wine-0.9.48-1.fc7
wine-core-0.9.48-1.fc7
wine-jack-0.9.48-1.fc7
wine-devel-0.9.48-1.fc7 

Expected results:
Download all my wine\* installation

Additional info:
This is not limited to wine I use it as an example. 
full output attached.
Comment 1 dex 2008-02-27 06:07:25 EST
Created attachment 296045 [details]
full output
Comment 2 Tim Lauridsen 2008-03-12 15:27:09 EDT
fixed upstream, will be available in yum-utils-1.1.12
Comment 3 dex 2008-03-12 19:31:24 EDT
Great news for upstreamers! but will it filter downstream?  
Comment 4 James Antill 2008-03-12 20:23:49 EDT
 It will be in Fedora 9
 It is likely to be in Fedora 8, after Fedora 9 ships.
 It _might_ go into Fedora 7, but don't hold your breath.

 You can upgrade to the current Fedora 9 version by:

 yum install pygpgme
 yum update --enablerepo=development yum

Note You need to log in before you can comment on or make changes to this bug.